---
title: ParentNode.children
slug: Web/API/ParentNode/children
tags:
  - API
  - Child
  - Child Nodes
  - DOM
  - HTMLCollection
  - Node
  - ParentNode
  - Property
  - children
---
<div>{{ APIRef("DOM") }}</div>

<p><span class="seoSummary">The {{domxref("ParentNode")}} property <code><strong>children</strong></code> is a read-only property that returns a live {{domxref("HTMLCollection")}} which contains all of the child {{domxref("Element", "elements")}} of the node upon which it was called.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <var>children</var> = <var>node</var>.children;</pre>

<h3 id="Value">Value</h3>

<p>An {{ domxref("HTMLCollection") }} which is a live, ordered collection of the DOM elements which are children of <code><var>node</var></code>. You can access the individual child nodes in the collection by using either the {{domxref("HTMLCollection.item()", "item()")}} method on the collection, or by using JavaScript array-style notation.</p>

<p>If the node has no element children, then <code>children</code> is an empty list with a <code>length</code> of <code>0</code>.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">const foo = document.getElementById('foo');
for (let i = 0; i &lt; foo.children.length; i++) {
  console.log(foo.children[i].tagName);
}
</pre>

<h2 id="Polyfill">Polyfill</h2>

<pre class="brush: js">// Overwrites native 'children' prototype.
// Adds Document &amp; DocumentFragment support for IE9 &amp; Safari.
// Returns array instead of HTMLCollection.
;(function(constructor) {
  if (constructor &amp;&amp;
    constructor.prototype &amp;&amp;
    constructor.prototype.children == null) {
    Object.defineProperty(constructor.prototype, 'children', {
      get: function() {
        let i = 0, node, nodes = this.childNodes, children = [];
        while (node = nodes[i++]) {
          if (node.nodeType === 1) {
            children.push(node);
          }
        }
        return children;
      }
    });
  }
})(window.Node || window.Element);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('DOM WHATWG', '#dom-parentnode-children', 'ParentNode.children')}}</td>
			<td>{{Spec2('DOM WHATWG')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ParentNode.children")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>The {{domxref("ParentNode")}} and {{domxref("ChildNode")}} interfaces.</li>
	<li>
	<div class="syntaxbox">Object types implementing this interface: {{domxref("Document")}}, {{domxref("Element")}}, and {{domxref("DocumentFragment")}}.</div>
	</li>
	<li>
	<div class="syntaxbox">{{domxref("Node.childNodes")}}</div>
	</li>
</ul>
